import { z } from 'zod';
import { Tool } from '../../core/types.js';
declare const parameterSchema: z.ZodObject<{
    instanceId: z.ZodString;
    guidance: z.ZodOptional<z.ZodString>;
    terminate: z.ZodOptional<z.ZodBoolean>;
    description: z.ZodString;
}, "strip", z.ZodTypeAny, {
    description: string;
    instanceId: string;
    guidance?: string | undefined;
    terminate?: boolean | undefined;
}, {
    description: string;
    instanceId: string;
    guidance?: string | undefined;
    terminate?: boolean | undefined;
}>;
declare const returnSchema: z.ZodObject<{
    output: z.ZodString;
    completed: z.ZodBoolean;
    error: z.ZodOptional<z.ZodString>;
    terminated: z.ZodOptional<z.ZodBoolean>;
    messageSent: z.ZodOptional<z.ZodBoolean>;
    messageCount: z.ZodOptional<z.ZodNumber>;
}, "strip", z.ZodTypeAny, {
    completed: boolean;
    output: string;
    error?: string | undefined;
    terminated?: boolean | undefined;
    messageCount?: number | undefined;
    messageSent?: boolean | undefined;
}, {
    completed: boolean;
    output: string;
    error?: string | undefined;
    terminated?: boolean | undefined;
    messageCount?: number | undefined;
    messageSent?: boolean | undefined;
}>;
type Parameters = z.infer<typeof parameterSchema>;
type ReturnType = z.infer<typeof returnSchema>;
export declare const agentMessageTool: Tool<Parameters, ReturnType>;
export {};
//# sourceMappingURL=agentMessage.d.ts.map