import { z } from 'zod';
import { Tool } from '../../core/types.js';
import { AgentState } from './AgentTracker.js';
export declare const agentStates: Map<string, AgentState>;
declare const parameterSchema: z.ZodObject<{
    description: z.ZodString;
    goal: z.ZodString;
    projectContext: z.ZodString;
    workingDirectory: z.ZodOptional<z.ZodString>;
    relevantFilesDirectories: z.ZodOptional<z.ZodString>;
    userPrompt: z.ZodOptional<z.ZodBoolean>;
}, "strip", z.ZodTypeAny, {
    description: string;
    goal: string;
    projectContext: string;
    workingDirectory?: string | undefined;
    userPrompt?: boolean | undefined;
    relevantFilesDirectories?: string | undefined;
}, {
    description: string;
    goal: string;
    projectContext: string;
    workingDirectory?: string | undefined;
    userPrompt?: boolean | undefined;
    relevantFilesDirectories?: string | undefined;
}>;
declare const returnSchema: z.ZodObject<{
    instanceId: z.ZodString;
    status: z.ZodString;
}, "strip", z.ZodTypeAny, {
    status: string;
    instanceId: string;
}, {
    status: string;
    instanceId: string;
}>;
type Parameters = z.infer<typeof parameterSchema>;
type ReturnType = z.infer<typeof returnSchema>;
export declare const agentStartTool: Tool<Parameters, ReturnType>;
export {};
//# sourceMappingURL=agentStart.d.ts.map