import { z } from 'zod';
import { Tool } from '../../core/types.js';
declare const parameterSchema: z.ZodObject<{
    status: z.ZodOptional<z.ZodEnum<["all", "running", "completed", "error", "terminated"]>>;
    verbose: z.ZodOptional<z.ZodBoolean>;
}, "strip", z.ZodTypeAny, {
    status?: "running" | "completed" | "error" | "terminated" | "all" | undefined;
    verbose?: boolean | undefined;
}, {
    status?: "running" | "completed" | "error" | "terminated" | "all" | undefined;
    verbose?: boolean | undefined;
}>;
declare const returnSchema: z.ZodObject<{
    sessions: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        status: z.ZodString;
        startTime: z.ZodString;
        endTime: z.ZodOptional<z.ZodString>;
        runtime: z.ZodNumber;
        url: z.ZodOptional<z.ZodString>;
        metadata: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>;
    }, "strip", z.ZodTypeAny, {
        status: string;
        id: string;
        startTime: string;
        runtime: number;
        url?: string | undefined;
        endTime?: string | undefined;
        metadata?: Record<string, any> | undefined;
    }, {
        status: string;
        id: string;
        startTime: string;
        runtime: number;
        url?: string | undefined;
        endTime?: string | undefined;
        metadata?: Record<string, any> | undefined;
    }>, "many">;
    count: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    count: number;
    sessions: {
        status: string;
        id: string;
        startTime: string;
        runtime: number;
        url?: string | undefined;
        endTime?: string | undefined;
        metadata?: Record<string, any> | undefined;
    }[];
}, {
    count: number;
    sessions: {
        status: string;
        id: string;
        startTime: string;
        runtime: number;
        url?: string | undefined;
        endTime?: string | undefined;
        metadata?: Record<string, any> | undefined;
    }[];
}>;
type Parameters = z.infer<typeof parameterSchema>;
type ReturnType = z.infer<typeof returnSchema>;
export declare const listSessionsTool: Tool<Parameters, ReturnType>;
export {};
//# sourceMappingURL=listSessions.d.ts.map