import { ChalkInstance } from 'chalk';
export declare enum LogLevel {
    debug = 0,
    info = 1,
    log = 2,
    warn = 3,
    error = 4
}
export type LoggerProps = {
    name: string;
    logLevel?: LogLevel;
    parent?: Logger;
    customPrefix?: string;
    color?: ChalkInstance;
};
export type LoggerListener = (logger: Logger, logLevel: LogLevel, lines: string[]) => void;
export declare class Logger {
    readonly prefix: string;
    readonly logLevel: LogLevel;
    readonly logLevelIndex: LogLevel;
    readonly parent?: Logger;
    readonly name: string;
    readonly nesting: number;
    readonly customPrefix?: string;
    readonly color?: ChalkInstance;
    readonly listeners: LoggerListener[];
    constructor({ name, parent, logLevel, customPrefix, color, }: LoggerProps);
    private emitMessages;
    debug(...messages: unknown[]): void;
    info(...messages: unknown[]): void;
    log(...messages: unknown[]): void;
    warn(...messages: unknown[]): void;
    error(...messages: unknown[]): void;
}
export declare const consoleOutputLogger: LoggerListener;
//# sourceMappingURL=logger.d.ts.map